root = true

[*]
indent_style = space
end_of_line = lf
charset = utf-8
trim_trailing_whitespace = true
insert_final_newline = true

[*.cs]
indent_size = 4

[*.{csproj,props,targets,nuspec,resx}]
indent_size = 2

[*.{json,yml,yaml}]
indent_size = 2

[*.{md,sql}]
trim_trailing_whitespace = false

[*.cs]
csharp_new_line_before_open_brace = all
csharp_new_line_before_else = true
csharp_new_line_before_catch = true
csharp_new_line_before_finally = true
csharp_new_line_before_members_in_object_initializers = true
csharp_new_line_before_members_in_anonymous_types = true
csharp_new_line_between_query_expression_clauses = true

csharp_style_namespace_declarations = file_scoped:suggestion
csharp_using_directive_placement = outside_namespace:suggestion

dotnet_style_qualification_for_field = false:suggestion
dotnet_style_qualification_for_property = false:suggestion
dotnet_style_qualification_for_method = false:suggestion
dotnet_style_qualification_for_event = false:suggestion

dotnet_diagnostic.CA1001.severity = warning
dotnet_diagnostic.CA1051.severity = warning
dotnet_diagnostic.CA1816.severity = warning
dotnet_diagnostic.CA2227.severity = warning
